Index: SPECS/gcc41.spec
===================================================================
--- SPECS.orig/gcc41.spec
+++ SPECS/gcc41.spec
@@ -11,6 +11,7 @@
 %endif
 %define build_fortran 1
 %define build_java 1
+%define build_objc 1
 %ifarch s390x
 %define multilib_32_arch s390
 %endif
@@ -802,7 +803,9 @@ fi
 
 pushd $FULLPATH
 if [ "%{_lib}" = "lib" ]; then
+%if %{build_objc}
 ln -sf ../../../libobjc.so.1 libobjc.so
+%endif
 ln -sf ../../../libstdc++.so.6.* libstdc++.so
 %if %{build_fortran}
 ln -sf ../../../libgfortran.so.1.* libgfortran.so
@@ -824,7 +827,9 @@ ln -sf ../../../../libgnat-*.so libgnat-
 cd ..
 %endif
 else
+%if %{build_objc}
 ln -sf ../../../../%{_lib}/libobjc.so.1 libobjc.so
+%endif
 ln -sf ../../../../%{_lib}/libstdc++.so.6.* libstdc++.so
 %if %{build_fortran}
 ln -sf ../../../../%{_lib}/libgfortran.so.1.* libgfortran.so
@@ -855,13 +860,17 @@ mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/
 mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgfortran.*a .
 mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgfortranbegin.*a .
 %endif
+%if %{build_objc}
 mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libobjc.*a .
+%endif
 mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgomp.*a .
 mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libmudflap{,th}.*a .
 mv -f $RPM_BUILD_ROOT%{_prefix}/include/mf-runtime.h include/
 
 %ifarch sparc ppc
+%if %{build_objc}
 ln -sf ../../../../../lib64/libobjc.so.1 64/libobjc.so
+%endif
 ln -sf ../`echo ../../../../lib/libstdc++.so.6.* | sed s~/lib/~/lib64/~` 64/libstdc++.so
 %if %{build_fortran}
 ln -sf ../`echo ../../../../lib/libgfortran.so.1.* | sed s~/lib/~/lib64/~` 64/libgfortran.so
@@ -881,7 +890,9 @@ mv -f $RPM_BUILD_ROOT%{_prefix}/lib64/li
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib64/libgfortran.*a 64/
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib64/libgfortranbegin.*a 64/
 %endif
+%if %{build_objc}
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib64/libobjc.*a 64/
+%endif
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib64/libgomp.*a 64/
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib64/libmudflap{,th}.*a 64/
 ln -sf lib32/libstdc++.a libstdc++.a
@@ -889,7 +900,9 @@ ln -sf ../lib64/libstdc++.a 64/libstdc++
 %endif
 %ifarch %{multilib_64_archs}
 mkdir -p 32
+%if %{build_objc}
 ln -sf ../../../../libobjc.so.1 32/libobjc.so
+%endif
 ln -sf ../`echo ../../../../lib64/libstdc++.so.6.* | sed s~/../lib64/~/~` 32/libstdc++.so
 %if %{build_fortran}
 ln -sf ../`echo ../../../../lib64/libgfortran.so.1.* | sed s~/../lib64/~/~` 32/libgfortran.so
@@ -907,7 +920,9 @@ mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libs
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libgfortran.*a 32/
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libgfortranbegin.*a 32/
 %endif
+%if %{build_objc}
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libobjc.*a 32/
+%endif
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libgomp.*a 32/
 mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libmudflap{,th}.*a 32/
 %endif
@@ -937,7 +952,9 @@ chmod 755 $RPM_BUILD_ROOT%{_prefix}/%{_l
 %endif
 chmod 755 $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgomp.so.1.*
 chmod 755 $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libmudflap{,th}.so.0.*
+%if %{build_objc}
 chmod 755 $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libobjc.so.1.*
+%endif
 
 %if %{build_ada}
 chmod 755 $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgnarl*so*
@@ -1294,6 +1311,7 @@ fi
 %endif
 %doc rpm.doc/changelogs/libstdc++-v3/ChangeLog* libstdc++-v3/README* libstdc++-v3/docs/html/
 
+%if %{build_objc}
 %files objc
 %defattr(-,root,root)
 %dir %{_prefix}/lib/gcc
@@ -1330,6 +1348,7 @@ fi
 %files -n libobjc
 %defattr(-,root,root)
 %{_prefix}/%{_lib}/libobjc.so.1*
+%endif
 
 %if %{build_fortran}
 %files gfortran
